## osinfo_install_scriptlist

osinfo_install_scriptlist — A list of installation install_script

## Functions

OsinfoInstallScriptList * | osinfo_install_scriptlist_new ()
OsinfoInstallScriptList * | osinfo_install_scriptlist_new_copy ()
OsinfoInstallScriptList * | osinfo_install_scriptlist_new_filtered ()
OsinfoInstallScriptList * | osinfo_install_scriptlist_new_intersection ()
OsinfoInstallScriptList * | osinfo_install_scriptlist_new_union ()

## Types and Values

#define | OSINFO_TYPE_INSTALL_SCRIPTLIST

## Description

OsinfoInstallScriptList is a list specialization that stores only OsinfoInstallScript objects.

## Functions

### osinfo_install_scriptlist_new ()

    OsinfoInstallScriptList *
    osinfo_install_scriptlist_new (void);

Construct a new install_script list that is initially empty.

#### Returns

an empty install_script list.

[transfer full]

Since: 0.2.0

### osinfo_install_scriptlist_new_copy ()

    OsinfoInstallScriptList *
    osinfo_install_scriptlist_new_copy (OsinfoInstallScriptList *source);

`osinfo_install_scriptlist_new_copy` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_copy()` instead.

Construct a new install_script list that is filled with install_scripts from `source`

#### Parameters

source | the install_script list to copy |

#### Returns

a copy of the install_script list.

[transfer full]

Since: 0.2.0

### osinfo_install_scriptlist_new_filtered ()

    OsinfoInstallScriptList *
    osinfo_install_scriptlist_new_filtered
                                   (OsinfoInstallScriptList *source,
                                    OsinfoFilter *filter);

`osinfo_install_scriptlist_new_filtered` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_filtered()` instead.

Construct a new install_script list that is filled with install_scripts from `source` that match `filter`

#### Parameters

source | the install_script list to copy |
filter | the filter to apply |

#### Returns

a filtered copy of the install_script list.

[transfer full]

Since: 0.2.0

### osinfo_install_scriptlist_new_intersection ()

    OsinfoInstallScriptList *
    osinfo_install_scriptlist_new_intersection
                                   (OsinfoInstallScriptList *sourceOne,
                                    OsinfoInstallScriptList *sourceTwo);

`osinfo_install_scriptlist_new_intersection` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_intersection()` instead.

Construct a new install_script list that is filled with only the install_scripts that are present in both `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first install_script list to copy |
sourceTwo | the second install_script list to copy |

#### Returns

an intersection of the two install_script lists.

[transfer full]

Since: 0.2.0

### osinfo_install_scriptlist_new_union ()

    OsinfoInstallScriptList *
    osinfo_install_scriptlist_new_union (OsinfoInstallScriptList *sourceOne,
                                         OsinfoInstallScriptList *sourceTwo);

`osinfo_install_scriptlist_new_union` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_union()` instead.

Construct a new install_script list that is filled with all the install_scripts that are present in either `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first install_script list to copy |
sourceTwo | the second install_script list to copy |

#### Returns

a union of the two install_script lists.

[transfer full]

Since: 0.2.0

## Types and Values

### OSINFO_TYPE_INSTALL_SCRIPTLIST

    #define OSINFO_TYPE_INSTALL_SCRIPTLIST (osinfo_install_scriptlist_get_type ())

## See Also

OsinfoList, OsinfoInstallScript